#randomly remove some entries in the adjacency matrix 
mydata_directed <- mydata
for(i in 1:20){
  for(j in i:20){
      rand <- runif(1)
      if(rand < 0.33){mydata_directed[i,j] <- 0}
      if(rand >= 0.33 & rand < 0.66){mydata_directed[j,i] <- 0}
  }
}

#use this modified adjacency matrix to create a directed network
g_directed<-graph_from_adjacency_matrix(mydata_directed,mode="directed",weighted=T)

#plot the hub centrality and authority centrality for this directed network
plot(g_directed,vertex.size=20*hub_score(g_directed)$vector,vertex.label.cex=0.8,vertex.color=2,edge.arrow.size=0.4)
plot(g_directed,vertex.size=20*authority_score(g_directed)$vector,vertex.label.cex=0.8,vertex.color=2,edge.arrow.size=0.4)

#compute and plot transitivity for each vertex in Farrellys social network 
plot(g_social,vertex.size=20*transitivity(g_social,type="local",isolates="zero"),vertex.label.cex=0.8,vertex.color=2)

#load the brainGraph library that adds on to igraph
library(brainGraph)

#compute efficiency for each vertex in Farrellys social network 
efficiency(g_social,type="local")
