#create samples from two different binomial probability distributions 
a<-rbinom(1000,5,0.1)
b<-rbinom(1000,5,0.4)

#create plot of probability density
plot(density(b),ylim=c(0,2),main="Comparison of Probability Distributions")
lines(density(a),col="blue")

#load package 
library(philentropy)

#calculate Kullback-Leibler divergence 
kullback_leibler_distance(P=a,Q=b,testNA=T,unit="log2",epsilon=1e-05)

#create a nonparametric test
#create a vector to holds results from the simulation loop
test<-rep(NA,1000)

#loop to draw from one of the binomial distributions to generate
#a null distribution for one of our samples
for (i in 1:1000){
new<-rbinom(1000,5,0.1)
test[i]<-kullback_leibler_distance(P=a,Q=new,testNA=T,unit="log10" ,epsilon=1e-05)}

#obtain the cut-off score for 95% confidence intervals, corresponding
#to values above/below which a sample would be considered statistically
#different than the null distribution 
quantile(test,c(0.025,0.0975))
