# Load data and set seed
mydata<-read.csv("QuoraSample.csv")
set.seed(1)

# Sample data to split into two datasets; remove the IQ scores
s<-sample(1:22,11)
set1<-mydata[s,-1]
set2<-mydata[-s,-1] 

#calculate Manhattan distance between pairs of scores
mm1<-dist(set1,"manhattan",diag=T,upper=T)

#create the Vietoris-Rips complex (turn data into a simplicial complex)
library(TDAstats)
d1<-calculate_homology(mm1, dim = 1, format = "cloud")

#Plot persistence diagrams where circles=connected components, triangles=loops
plot_persist(d1) 

#Hierachical Cluster 
plot(hclust(mm1),main="Hierarchical Clustering Results, Distance Data")

#Smaller cluster 
mydata[c(1,9,10,17),] 

#Larger cluster 
mydata[c(3,4,6,8,12,16,18),]

#Compute Manhattan distance for set 2 
mm2<-dist(set2,"manhattan",diag=T,upper=T)

#create the Vietoris-Rips complex
d2<-calculate_homology(mm2, dim = 1, format = "cloud")

#Plot persistence diagramscircles=connected components, triangles=loops
plot_persist(d2) 

#Calculate distance between diagrams 
w<-phom.dist(d1,d2,limit.num=0)
w 

#compute permutation test and examine p-values from output
permutation_test(d1,d2,iterations=25) 

